# DeepSafety
**DeepSafety** is an open-source Python library for performing industrial and process safety calculations. It includes models and tools for analyzing hazardous material dispersion, fire and explosion behavior, toxicological impacts, and mitigation strategies. The library is designed to be modular, extensible, and suitable for academic, industrial, and emergency response use cases.

## Features (Planned and In Progress)

- Atmospheric dispersion models (Pasquill–Gifford)
  - Puff and plume models (ground level and elevated sources)
  - Neutrally buoyant and dense gas behavior
- Toxic effect criteria
  - AEGLs, ERPGs, IDLH, TLVs, PELs, and toxic endpoints
- Flammability and ignition analysis
  - Limits, autoignition, inerting, ignition energy
- Explosion modeling
  - TNT equivalency, VCEs, BLEVEs, deflagration/detonation
  - Blast damage, overpressure, and mitigation
- Fire triangle modeling and spray/mist behavior
- Release prevention and emergency response planning

## License

This project is licensed under the MIT License. 

## Contributing

Contributions are welcome. Please fork the repository, open a pull request, and include tests for any new functionality.